diff --git a/rubygem-foreman_reserve/rubygem-foreman_reserve.spec b/rubygem-foreman_reserve/rubygem-foreman_reserve.spec
index 4d9b40731..d11712b70 100644
--- a/rubygem-foreman_reserve/rubygem-foreman_reserve.spec
+++ b/rubygem-foreman_reserve/rubygem-foreman_reserve.spec
@@ -27,24 +27,25 @@ Source0:    http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 Requires:   foreman >= 1.4.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-hooks
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Plugin engine for Foreman that allows reservation of hosts via the API.
@@ -52,6 +53,7 @@ Plugin engine for Foreman that allows reservation of hosts via the API.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
diff --git a/rubygem-foreman_salt/rubygem-foreman_salt.spec b/rubygem-foreman_salt/rubygem-foreman_salt.spec
index 6bf9abe5b..b62cba986 100644
--- a/rubygem-foreman_salt/rubygem-foreman_salt.spec
+++ b/rubygem-foreman_salt/rubygem-foreman_salt.spec
@@ -26,24 +26,24 @@ Requires:   foreman >= 1.9.0
 Requires:   %{?scl_prefix}rubygem(deface)
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 Requires: %{?scl_prefix}rubygem-foreman-tasks >= 0.7.1
 Requires: %{?scl_prefix}rubygem-foreman-tasks < 0.8.0
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
 BuildRequires: foreman-plugin >= 1.8.0
 BuildRequires: foreman-assets
 BuildRequires: %{?scl_prefix}rubygem(deface)
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 BuildRequires: %{?scl_prefix}rubygem-foreman-tasks >= 0.7.1
 BuildRequires: %{?scl_prefix}rubygem-foreman-tasks < 0.8.0
 
@@ -51,6 +51,7 @@ BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-salt
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Foreman extensions that provide Salt support
@@ -58,6 +59,7 @@ Foreman extensions that provide Salt support
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
diff --git a/rubygem-foreman_setup/rubygem-foreman_setup.spec b/rubygem-foreman_setup/rubygem-foreman_setup.spec
index 5351f848e..98f652ae6 100644
--- a/rubygem-foreman_setup/rubygem-foreman_setup.spec
+++ b/rubygem-foreman_setup/rubygem-foreman_setup.spec
@@ -25,19 +25,19 @@ Source0:    http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 Requires:   foreman >= 1.9.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 BuildRequires: foreman-plugin >= 1.9.0
 BuildRequires: foreman-assets
 
@@ -45,6 +45,7 @@ BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-setup
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Plugin for Foreman that helps set up provisioning.
@@ -52,6 +53,7 @@ Plugin for Foreman that helps set up provisioning.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -151,4 +153,3 @@ exit 0
 
 * Tue Oct 29 2013 Dominic Cleal <dcleal@redhat.com> 1.0.0-1
 - new package built with tito
-
diff --git a/rubygem-foreman_snapshot/rubygem-foreman_snapshot.spec b/rubygem-foreman_snapshot/rubygem-foreman_snapshot.spec
index b65a21577..856fe1343 100644
--- a/rubygem-foreman_snapshot/rubygem-foreman_snapshot.spec
+++ b/rubygem-foreman_snapshot/rubygem-foreman_snapshot.spec
@@ -28,24 +28,25 @@ Source0:    http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 Requires:   foreman >= 1.5.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-snapshot
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Plugin to enable snapshots on OpenStack/EC2/oVirt/etc.
@@ -53,6 +54,7 @@ Plugin to enable snapshots on OpenStack/EC2/oVirt/etc.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -98,4 +100,3 @@ GEMFILE
 %changelog
 * Tue Mar 25 2014 Dominic Cleal <dcleal@redhat.com> 0.1.0-1
 - new package built with tito
-
diff --git a/rubygem-foreman_templates/rubygem-foreman_templates.spec b/rubygem-foreman_templates/rubygem-foreman_templates.spec
index 319b33012..0239c47ed 100644
--- a/rubygem-foreman_templates/rubygem-foreman_templates.spec
+++ b/rubygem-foreman_templates/rubygem-foreman_templates.spec
@@ -27,28 +27,29 @@ Source0:    http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 Requires:   foreman >= 1.9.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 
 Requires: git
 Requires: %{?scl_prefix}rubygem(diffy)
 Requires: %{?scl_prefix}rubygem(git)
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-templates
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 This plugin will sync the contents of the Foreman Community Templates
@@ -57,6 +58,7 @@ repository (or a git repo of your choice) to your local Foreman instance.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -120,4 +122,3 @@ GEMFILE
 
 * Wed Nov 20 2013 Dominic Cleal <dcleal@redhat.com> 1.2.0-1
 - new package built with tito
-
diff --git a/rubygem-foreman_xen/rubygem-foreman_xen.spec b/rubygem-foreman_xen/rubygem-foreman_xen.spec
index eaa7d4778..0d111ed91 100644
--- a/rubygem-foreman_xen/rubygem-foreman_xen.spec
+++ b/rubygem-foreman_xen/rubygem-foreman_xen.spec
@@ -29,25 +29,26 @@ Requires:   foreman-compute >= 1.8.1
 Requires:   %{?scl_prefix}rubygem(deface) < 2.0.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-xen
 Provides: foreman-xen
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 This plugin enables provisioning and managing XEN Server in Foreman.
@@ -55,6 +56,7 @@ This plugin enables provisioning and managing XEN Server in Foreman.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -129,4 +131,3 @@ GEMFILE
 
 * Wed May 21 2014 Dominic Cleal <dcleal@redhat.com> 0.0.1-1
 - new package built with tito
-
diff --git a/rubygem-foremancli/rubygem-foremancli.spec b/rubygem-foremancli/rubygem-foremancli.spec
index 35f7814f0..d15b4f0f5 100644
--- a/rubygem-foremancli/rubygem-foremancli.spec
+++ b/rubygem-foremancli/rubygem-foremancli.spec
@@ -12,23 +12,24 @@ Group: Development/Ruby
 License: GPLv2+
 URL: https://github.com/ohadlevy/foreman/blob/master/extras/cli/foremancli
 Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 
 Requires: %{?scl_prefix}rubygem-rest-client => 1.4
 Requires: %{?scl_prefix}rubygem-rest-client < 2
 
-Requires: %{?scl_prefix}rubygem-json => 1.4
-Requires: %{?scl_prefix}rubygem-json < 2
+Requires: %{?scl_prefix_ruby}rubygem-json => 1.4
+Requires: %{?scl_prefix_ruby}rubygem-json < 2
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
-Requires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(foremancli) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %define gembuilddir %{buildroot}%{gem_dir}
 
@@ -39,6 +40,7 @@ for sysadmins.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -86,4 +88,3 @@ rm -rf %{buildroot}%{gem_instdir}/.yardoc
 
 * Thu Sep 06 2012 Miroslav Suchý <msuchy@redhat.com> 1.0-1
 - new package built with tito
-
diff --git a/rubygem-formatador/rubygem-formatador.spec b/rubygem-formatador/rubygem-formatador.spec
index c575b0cc0..8cf6110ac 100644
--- a/rubygem-formatador/rubygem-formatador.spec
+++ b/rubygem-formatador/rubygem-formatador.spec
@@ -16,14 +16,15 @@ Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 # TODO: Fix tests failing when redirected to a file, reported at
 # https://github.com/geemus/formatador/commit/a874311f52a34b9a1f1d0fe9fef20a095b79f941
 Patch0: formatador-fix-tests-when-redirecting-to-file.patch
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
-BuildRequires: %{?scl_prefix}rubygems-devel
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 %if 0%{bootstrap} < 1
 BuildRequires: %{?scl_prefix}rubygem(shindo)
 %endif
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 STDOUT text formatting
@@ -32,6 +33,7 @@ STDOUT text formatting
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 
 %description doc
 Documentation for %{pkg_name}
diff --git a/rubygem-friendly_id/rubygem-friendly_id.spec b/rubygem-friendly_id/rubygem-friendly_id.spec
index 2743b46f0..34ec7d0e8 100644
--- a/rubygem-friendly_id/rubygem-friendly_id.spec
+++ b/rubygem-friendly_id/rubygem-friendly_id.spec
@@ -14,25 +14,26 @@ URL: https://github.com/norman/friendly_id
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 
-Requires: %{?scl_prefix}rubygem-activerecord >= 1:3.0
-Requires: %{?scl_prefix}rubygem-activerecord < 1:4.0
+Requires: %{?scl_prefix_ruby}rubygem-activerecord >= 1:3.0
+Requires: %{?scl_prefix_ruby}rubygem-activerecord < 1:4.0
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 FriendlyId is the "Swiss Army bulldozer" of slugging and permalink plugins for
@@ -44,6 +45,7 @@ human-friendly strings as if they were numeric ids for Active Record models.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -88,4 +90,3 @@ cp -a .%{gem_dir}/* \
 %changelog
 * Mon Sep 29 2014 Dominic Cleal <dcleal@redhat.com> 4.0.10.1-1
 - new package built with tito
-
diff --git a/rubygem-gettext/rubygem-gettext.spec b/rubygem-gettext/rubygem-gettext.spec
index c8163b612..dd7c2d711 100644
--- a/rubygem-gettext/rubygem-gettext.spec
+++ b/rubygem-gettext/rubygem-gettext.spec
@@ -19,9 +19,9 @@ License:	Ruby
 URL:		http://www.yotabanana.com/hiki/ruby-gettext.html?ruby-gettext
 Source0:	http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
 
-Requires:	%{?scl_prefix}ruby(abi) = %{rubyabi}
-BuildRequires:	%{?scl_prefix}ruby(abi) = %{rubyabi}
-BuildRequires:	%{?scl_prefix}rubygems-devel
+Requires:	%{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
+BuildRequires:	%{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
+BuildRequires:	%{?scl_prefix_ruby}rubygems-devel
 # Disable tests
 ## For %%check
 #BuildRequires:	%{?scl_prefix}rubygem(locale) >= %{locale_ver}
@@ -30,17 +30,18 @@ BuildRequires:	%{?scl_prefix}rubygems-devel
 #BuildRequires:	%{?scl_prefix}rubygem(test-unit-rr)
 #BuildRequires:	%{?scl_prefix}rubygem(text)
 # test/tools/test_task.rb -> lib/gettext/tools/task.rb
-#BuildRequires:	%{?scl_prefix}rubygem(rake)
+#BuildRequires:	%{?scl_prefix_ruby}rubygem(rake)
 BuildRequires:	gettext
 
-Requires:	%{?scl_prefix}ruby(rubygems)
+Requires:	%{?scl_prefix_ruby}ruby(rubygems)
 Requires:	%{?scl_prefix}rubygem(locale) >= %{locale_ver}
 Requires:	%{?scl_prefix}rubygem(text)
-Requires:	%{?scl_prefix}irb
+Requires:	%{?scl_prefix_ruby}irb
 Provides:	%{?scl_prefix}rubygem(%{gem_name}) = %{version}-%{release}
 
 Obsoletes:	%{?scl_prefix}ruby-gettext-package <= %{version}-%{release}
 Provides:	%{?scl_prefix}ruby-gettext-package = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 BuildArch:	noarch
 
@@ -55,6 +56,7 @@ This package provides gem for Ruby-Gettext-Package.
 Summary:	Documentation for %{pkg_name}
 Group:		Documentation
 Requires:	%{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 
 %description	doc
 This package contains documentation for %{pkg_name}.
diff --git a/rubygem-gettext_i18n_rails/rubygem-gettext_i18n_rails.spec b/rubygem-gettext_i18n_rails/rubygem-gettext_i18n_rails.spec
index 72075a9c1..a2736cb76 100644
--- a/rubygem-gettext_i18n_rails/rubygem-gettext_i18n_rails.spec
+++ b/rubygem-gettext_i18n_rails/rubygem-gettext_i18n_rails.spec
@@ -11,16 +11,17 @@ Group: Development/Languages
 License: MIT
 URL: http://github.com/grosser/gettext_i18n_rails
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
 Requires: %{?scl_prefix}rubygem(fast_gettext) >= 0.9.0
-BuildRequires: %{?scl_prefix}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Translate via FastGettext, use any other I18n backend as extension/fallback.
@@ -29,6 +30,7 @@ Translate via FastGettext, use any other I18n backend as extension/fallback.
 Summary: Documentation for %{name}
 Group: Documentation
 Requires: %{name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-gettext_i18n_rails_js/rubygem-gettext_i18n_rails_js.spec b/rubygem-gettext_i18n_rails_js/rubygem-gettext_i18n_rails_js.spec
index 52e8b7200..2f421debb 100644
--- a/rubygem-gettext_i18n_rails_js/rubygem-gettext_i18n_rails_js.spec
+++ b/rubygem-gettext_i18n_rails_js/rubygem-gettext_i18n_rails_js.spec
@@ -13,25 +13,26 @@ License: MIT
 URL: http://github.com/nubis/gettext_i18n_rails_js
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 Requires: %{?scl_prefix}rubygem(gettext_i18n_rails) >= 0.7.1
-Requires: %{?scl_prefix}rubygem(rails) >= 3.2.0
-Requires: %{?scl_prefix}rubygem(rails) < 3.3.0
+Requires: %{?scl_prefix_ruby}rubygem(rails) >= 3.2.0
+Requires: %{?scl_prefix_ruby}rubygem(rails) < 3.3.0
 Requires: %{?scl_prefix}rubygem(po_to_json) >= 0.0.7
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 gettext_i18n_rails will find translations inside your .js and .coffee files,
@@ -43,6 +44,7 @@ translations offline from client side javascript.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -81,4 +83,3 @@ cp -a .%{gem_dir}/* \
 
 * Tue May 14 2013 Dominic Cleal <dcleal@redhat.com> 0.0.8-1
 - new package built with tito
-
diff --git a/rubygem-git/rubygem-git.spec b/rubygem-git/rubygem-git.spec
index a7f2cdf2b..ca4d3ba34 100644
--- a/rubygem-git/rubygem-git.spec
+++ b/rubygem-git/rubygem-git.spec
@@ -11,11 +11,12 @@ Group:          Development/Languages
 License:        MIT
 URL:            http://rubyforge.org/projects/git/
 Source0:        http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
-Requires:       %{?scl_prefix}ruby(rubygems)
-Requires:       %{?scl_prefix}ruby(abi) = 1.9.1
-BuildRequires:  %{?scl_prefix}rubygems-devel
+Requires:       %{?scl_prefix_ruby}ruby(rubygems)
+Requires:       %{?scl_prefix_ruby}ruby(abi) = 1.9.1
+BuildRequires:  %{?scl_prefix_ruby}rubygems-devel
 BuildArch:      noarch
 Provides:       %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 A package for using Git in Ruby code.
diff --git a/rubygem-google-api-client/rubygem-google-api-client.spec b/rubygem-google-api-client/rubygem-google-api-client.spec
index cc368b456..462083a21 100644
--- a/rubygem-google-api-client/rubygem-google-api-client.spec
+++ b/rubygem-google-api-client/rubygem-google-api-client.spec
@@ -14,13 +14,13 @@ URL: https://github.com/google/google-api-ruby-client
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
-Requires: %{?scl_prefix}rubygem(activesupport) >= 3.2
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
+Requires: %{?scl_prefix_ruby}rubygem(activesupport) >= 3.2
 Requires: %{?scl_prefix}rubygem(addressable) >= 2.3
 Requires: %{?scl_prefix}rubygem(addressable) < 3.0
 Requires: %{?scl_prefix}rubygem(autoparse) >= 0.3
@@ -40,14 +40,15 @@ Requires: %{?scl_prefix}rubygem(signet) < 1.0
 Requires: ca-certificates
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 The Google API Ruby Client makes it trivial to discover and access supported
@@ -57,6 +58,7 @@ APIs.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -111,4 +113,3 @@ ln -sf /etc/pki/tls/cert.pem \
 
 * Sun Nov 10 2013 Dominic Cleal <dcleal@redhat.com> 0.6.4-1
 - new package built with tito
-
diff --git a/rubygem-graphite-api/rubygem-graphite-api.spec b/rubygem-graphite-api/rubygem-graphite-api.spec
index c62c40267..a236aad77 100644
--- a/rubygem-graphite-api/rubygem-graphite-api.spec
+++ b/rubygem-graphite-api/rubygem-graphite-api.spec
@@ -14,24 +14,25 @@ URL: https://github.com/kontera-technologies/graphite-api
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 Requires: %{?scl_prefix}rubygem(eventmachine) >= 0.3.3
 Requires: %{?scl_prefix}rubygem(zscheduler) >= 0.0.3
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 A Ruby API toolkit for Graphite.
@@ -45,6 +46,7 @@ plaintext protocol.
 Summary: Documentation for %{name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -87,4 +89,3 @@ cp -pa .%{_bindir}/* %{buildroot}%{_bindir}/
 %changelog
 * Wed Jan 14 2015 Dominic Cleal <dcleal@redhat.com> 0.1.5-1
 - new package built with tito
-
diff --git a/rubygem-gridster-rails/rubygem-gridster-rails.spec b/rubygem-gridster-rails/rubygem-gridster-rails.spec
index 2d9d4b5e9..4cb082401 100644
--- a/rubygem-gridster-rails/rubygem-gridster-rails.spec
+++ b/rubygem-gridster-rails/rubygem-gridster-rails.spec
@@ -14,23 +14,24 @@ URL: https://github.com/vanetten/gridster-rails
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
-Requires: %{?scl_prefix}rubygem(railties) >= 3.1.0
-Requires: %{?scl_prefix}rubygem(railties) < 4.0.0
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
+Requires: %{?scl_prefix_ruby}rubygem(railties) >= 3.1.0
+Requires: %{?scl_prefix_ruby}rubygem(railties) < 4.0.0
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Gridster is a jQuery plugin that makes building intuitive draggable layouts
@@ -41,6 +42,7 @@ remove elements from the grid.
 Summary: Documentation for %{name}
 Group: Documentation
 Requires: %{name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -90,4 +92,3 @@ cp -pa .%{gem_dir}/* \
 
 * Tue May 20 2014 Dominic Cleal <dcleal@redhat.com> 0.1.5-1
 - new package built with tito
-
diff --git a/rubygem-hammer_cli/rubygem-hammer_cli.spec b/rubygem-hammer_cli/rubygem-hammer_cli.spec
index fd4312ccd..ec35a06f8 100644
--- a/rubygem-hammer_cli/rubygem-hammer_cli.spec
+++ b/rubygem-hammer_cli/rubygem-hammer_cli.spec
@@ -17,12 +17,12 @@ URL: http://github.com/theforeman/hammer-cli
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
 %endif
 
-Requires: %{?scl_prefix}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
 Requires: %{?scl_prefix}rubygem(clamp) >= 1.0.0
 Requires: %{?scl_prefix}rubygem(rb-readline)
 Requires: %{?scl_prefix}rubygem(rest-client) < 1.7.0
@@ -32,21 +32,22 @@ Requires: %{?scl_prefix}rubygem(table_print) >= 1.5.0
 Requires: %{?scl_prefix}rubygem(highline) < 1.7.0
 Requires: %{?scl_prefix}rubygem(fast_gettext)
 Requires: %{?scl_prefix}rubygem(locale) >= 2.0.6
-Requires: %{?scl_prefix}rubygem(json)
+Requires: %{?scl_prefix_ruby}rubygem(json)
 Requires: %{?scl_prefix}rubygem(fastercsv)
-Requires: %{?scl_prefix}rubygem(mime-types) < 2.0.0
+Requires: %{?scl_prefix_ruby}rubygem(mime-types) < 2.0.0
 Requires: %{?scl_prefix}rubygem(apipie-bindings) >= 0.0.10
 Requires: %{?scl_prefix}rubygem(apipie-bindings) < 0.1.0
-BuildRequires: %{?scl_prefix}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %endif
-BuildRequires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 %if 0%{?scl:1}
 Obsoletes: rubygem-%{gem_name} < 0.3.0-2
 %endif
@@ -58,6 +59,7 @@ Hammer cli provides universal extendable CLI interface for ruby apps
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 %if 0%{?scl:1}
 Obsoletes: rubygem-%{gem_name}-doc < 0.3.0-2
@@ -83,7 +85,7 @@ mkdir -p %{buildroot}%{gem_dir}
 cp -pa .%{gem_dir}/* \
         %{buildroot}%{gem_dir}/
 
-sed -i '1s@/.*@/usr/bin/%{?scl_prefix}ruby@' .%{_root_bindir}/*
+sed -i '1s@/.*@/usr/bin/%{?scl_prefix_ruby}ruby@' .%{_root_bindir}/*
 mkdir -p %{buildroot}%{_root_bindir}
 cp -pa .%{_root_bindir}/* \
         %{buildroot}%{_root_bindir}/
